# TODO: This is only in use until an actual release is made since the
# pre-release version numbers don't track well to standard versioning.
%define _commit 2b88b80aca4c8c9dbb00d1d91a4178676ed39045
%global toolchain clang

Name: universal-ctags
Version: 5.9.0
Release: 0.20210523%{?dist}

Summary: Universal Ctags - a multi-language source code indexing tool
License: GPLv2+
URL: http://ctags.io

Prefix: %{_prefix}

Source0: https://github.com/universal-ctags/ctags/archive/%{_commit}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: clang
BuildRequires: gettext-devel
BuildRequires: jansson-devel
BuildRequires: libseccomp-devel
BuildRequires: libxml2-devel
BuildRequires: libyaml-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python3-docutils

Conflicts: ctags <= 5.8
Obsoletes: ctags <= 5.8
# This allows following the Fedora version guidelines for packages with no
# versioned releases and also handle anything that may specify it requires
# 'ctags >= 5.8' (5.8 was the latest released version of exuberant-ctags).
Provides: ctags = 5.9

%description
Universal Ctags generates an index (or tag) file of language objects
found in source files for many popular programming languages. This index
makes it easy for text editors and other tools to locate the indexed
items. Universal Ctags improves on Exuberant Ctags because of its
multilingual support, its ability for the user to define new languages
searched by regular expressions, and its ability to generate Emacs-style
TAGS files. And it's maintained.

Install universal-ctags if you are going to use your system for programming.

%prep
%autosetup -n ctags-%{_commit}

%build
./autogen.sh
%configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--sharedstatedir=%{_sharedstatedir} --localstatedir=%{_localstatedir}
%make_build

%install
%make_install
%{__make} -C %{_builddir}/%{?buildsubdir}/man man

%files
%license COPYING
%doc README.md
%{_bindir}/ctags
%{_bindir}/optscript
%{_bindir}/readtags
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man7/*

%changelog
* Sun May 23 2021 Joel Goguen <contact@jgoguen.ca> - 5.9.0-0.20210523
- Create spec for universal-ctags
